package com.muyu.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.muyu.system.handle.SystemHandler;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.Date;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * 填充公共字段
 *
 */
@Slf4j
@Component
public class MyMetaObjectHandler implements MetaObjectHandler {
    @Override
    public void insertFill(MetaObject metaObject) {
        String[] setterNames = metaObject.getSetterNames();
        Set<String> setterNamesSet = Arrays.stream(setterNames).collect(Collectors.toSet());
        if (setterNamesSet.contains("tenantId")){
            if (metaObject.getValue("tenantId") == null){
                this.setFieldValByName("tenantId", SystemHandler.getTenantId(),metaObject);
            }
        }
        if (setterNamesSet.contains("createTime")){

            if (metaObject.getValue("createTime") == null) {
                this.setFieldValByName("createTime", new Date(), metaObject);
            }
        }
        if (setterNamesSet.contains("updateTime")){
            if (metaObject.getValue("updateTime") == null) {
                this.setFieldValByName("updateTime", new Date(), metaObject);
            }
        }
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        String[] setterNames = metaObject.getSetterNames();
        Set<String> setterNamesSet = Arrays.stream(setterNames).collect(Collectors.toSet());
        if (setterNamesSet.contains("updateTime")){
            if (metaObject.getValue("updateTime") == null) {
                this.setFieldValByName("updateTime", new Date(), metaObject);
            }
        }
    }
}
