package com.muyu.config.cache;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/12
 * @Description: 过期时间
 * @Version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ExpiryTime {

    /**
     * 过期时间单位（秒） 默认30分钟
     */
    @Builder.Default
    private long expiryTime = 30*60;

    /**
     * 刷新时间单位（秒） 默认15分钟
     */
    @Builder.Default
    private long refreshTime = 15*60;
}
