package com.muyu.system.domain;

import com.muyu.config.cache.ExpiryTime;
import com.muyu.system.properties.ServerConfigProperties;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Description: 登陆用户信息
 * @author: MuYu
 * @date: 2024/9/11-上午10:15
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class LoginUserInfo extends ExpiryTime {

    /**
     * 用户ID
     */
    private Long id;

    /**
     * 用户token
     */
    private String userKey;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 服务配置
     */
    private ServerConfigProperties serverConfig;


}
