package com.muyu.web.domain.req;

import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/12
 * @Description: 用户登录请求对象
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserLoginReq {

    /**
     * 用户名称
     */
    @NotEmpty(message = "请输入用户名称")
    private String userName;

    /**
     * 密码
     */
    @NotEmpty(message = "请输入用户密码")
    private String password;
}
