package com.muyu.web.domain.resp;

import com.muyu.web.domain.model.OverviewModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: 概述响应
 * @Version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OverviewResp {

    /**
     * 在线车辆
     */
    private Long online;
    /**
     * 离线车辆
     */
    private Long offline;
    /**
     * 暂停车辆
     */
    private Long pause;

    /**
     * 模型构建返回值
     * @param overviewModel 模型
     * @return 返回值
     */
    public static OverviewResp modeBuild(OverviewModel overviewModel){
        return builder().online(overviewModel.getOnline())
                .offline(overviewModel.getOffline())
                .pause(overviewModel.getPause())
                .build();
    }
}
