package com.muyu.web.service;

import com.muyu.system.domain.LoginUserInfo;
import com.muyu.web.domain.req.UserRegReq;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/12
 * @Description: 授权业务层
 * @Version: 1.0
 */
public interface SystemAuthService {

    /**
     * 用户登录
     * @param userName 用户名称
     * @param password 用户密码
     * @return 生成令牌
     */
    String login (String userName, String password);

    /**
     * 用户登出
     */
    void logout ();

    /**
     * 获取登录用户信息
     * @return 登录用户信息
     */
    LoginUserInfo info ();

    /**
     * 用户注册
     * @param userRegReq 用户注册请求
     */
    void reg (UserRegReq userRegReq);
}
